> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Manufacture Order Line Item

> This endpoint creates a new manufacture order line item.

### Body

<ParamField body="id" type="string">
  This is the id of the manufacture order line item.
</ParamField>

<ParamField body="bom_name" type="string">
  This is the name of the bill of materials (BOM) associated with the line item.
</ParamField>

<ParamField body="bom_number" type="string">
  This is the number assigned to the bill of materials (BOM).
</ParamField>

<ParamField body="expected_date" type="date">
  This is the expected date for the completion of the line item.
</ParamField>

<ParamField body="line_status" type="string">
  This is the status of the line item (e.g., in progress, completed, etc.).
</ParamField>

<ParamField body="line_type" type="string">
  This is the type or category of the line item.
</ParamField>

<ParamField body="manufacture_order_number" type="string">
  This is the number of the associated manufacture order.
</ParamField>

<ParamField body="output_type" type="string">
  This is the type of output produced by the line item (e.g., product, component).
</ParamField>

<ParamField body="part_name" type="string">
  This is the name of the part associated with the line item.
</ParamField>

<ParamField body="part_number" type="string">
  This is the number assigned to the part associated with the line item.
</ParamField>

<ParamField body="priority" type="string">
  This is the priority level of the line item.
</ParamField>

<ParamField body="quantity" type="integer">
  This is the quantity of the part to be manufactured or processed.
</ParamField>

<ParamField body="site" type="string">
  This is the site or location associated with the line item.
</ParamField>

<ParamField body="work_order_number" type="string">
  This is the number of the associated work order.
</ParamField>

<ParamField body="yield_location" type="string">
  This is the location where the manufactured product will be stored.
</ParamField>

### Response

<ResponseField name="id" type="string">
  This is the id of the manufacture order line item.
</ResponseField>

<ResponseField name="bom_name" type="string">
  This is the name of the bill of materials (BOM) associated with the line item.
</ResponseField>

<ResponseField name="bom_number" type="string">
  This is the number assigned to the bill of materials (BOM).
</ResponseField>

<ResponseField name="expected_date" type="date">
  This is the expected date for the completion of the line item.
</ResponseField>

<ResponseField name="line_status" type="string">
  This is the status of the line item (e.g., in progress, completed, etc.).
</ResponseField>

<ResponseField name="line_type" type="string">
  This is the type or category of the line item.
</ResponseField>

<ResponseField name="manufacture_order_number" type="string">
  This is the number of the associated manufacture order.
</ResponseField>

<ResponseField name="output_type" type="string">
  This is the type of output produced by the line item (e.g., product, component).
</ResponseField>

<ResponseField name="part_name" type="string">
  This is the name of the part associated with the line item.
</ResponseField>

<ResponseField name="part_number" type="string">
  This is the number assigned to the part associated with the line item.
</ResponseField>

<ResponseField name="priority" type="string">
  This is the priority level of the line item.
</ResponseField>

<ResponseField name="quantity" type="integer">
  This is the quantity of the part to be manufactured or processed.
</ResponseField>

<ResponseField name="site" type="string">
  This is the site or location associated with the line item.
</ResponseField>

<ResponseField name="work_order_number" type="string">
  This is the number of the associated work order.
</ResponseField>

<ResponseField name="yield_location" type="string">
  This is the location where the manufactured product will be stored.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request POST 'https://api.stateset.com/v1/manufacture_order_line_items' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
      "current_token": ""
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1,
    "user_group": {
      "team_id": 3,
      "token": "<user_group_token_to_auth_dashboard>",
      "name": "Example 1",
      "provided_id": "example_1"
    }
  }
  ```
</ResponseExample>
